<?php
/*---------------------------------------------------+
| TinyChat 1.21 Infusion fr PHP-Fusion 6.00 CMS     |
|----------------------------------------------------|
| author: Christian Wolf (Lupo)  2005-2007          |
| web: http://tinychat.LupoSoft.de                   |
| email: tinychat@LupoSoft.de                        |
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  |
+---------------------------------------------------*/

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ls_tinychat_panel/locale/English.php";
}

if (!checkrights("S")) fallback("../index.php");
if (isset($ls_chat_id) && !isNum($ls_chat_id)) fallback(FUSION_SELF);
if (!isset($action)) $action = "";

if ($action == "deleteentries") {
	$deletetime = time() - ($_POST['num_days'] * 86400);
	$result = dbquery("SELECT * FROM ".$db_prefix."ls_chat WHERE ls_chat_datestamp < '$deletetime'");
	$numrows = dbrows($result);
	$result = dbquery("DELETE FROM ".$db_prefix."ls_chat WHERE ls_chat_datestamp < '$deletetime'");
	opentable($locale['ls500']);
	echo "<center><br>
$numrows ".$locale['ls501']."<br><br>
<a href='ls_tinychat_admin.php'>".$locale['ls502']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['ls503']."</a><br><br>
</center>\n";
	closetable();
} else if ($action == "delete") {
	opentable($locale['ls504']);
	$result = dbquery("DELETE FROM ".$db_prefix."ls_chat WHERE ls_chat_id='$ls_chat_id'");
	echo "<center><br>
".$locale['ls505']."<br><br>
<a href='ls_tinychat_admin.php'>".$locale['ls502']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['ls503']."</a><br><br>
</center>\n";
	closetable();
} else {
	if (isset($_POST['saveentry'])) {
		if ($action == "edit") {
			$ls_chat_message = str_replace("\n", " ", $_POST['ls_chat_message']);
			$ls_chat_message = preg_replace("/^(.{255}).*$/", "$1", $ls_chat_message);
			$ls_chat_message = preg_replace("/([^\s]{25})/", "$1\n", $ls_chat_message);
			$ls_chat_message = stripinput($ls_chat_message);
			$ls_chat_message = str_replace("\n", "<br>", $ls_chat_message);
			$result = dbquery("UPDATE ".$db_prefix."ls_chat SET ls_chat_message='$ls_chat_message' WHERE ls_chat_id='$ls_chat_id'");
			redirect("ls_tinychat_admin.php");
		}
	}
	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."ls_chat WHERE ls_chat_id='$ls_chat_id'");
		$data = dbarray($result);
		opentable($locale['ls520']);
		echo "<form name='editform' method='post' action='".FUSION_SELF."?action=edit&ls_chat_id=".$data['ls_chat_id']."'>
<table align='center' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ls521']."</td>
</tr>
<tr>
<td class='tbl'><textarea name='ls_chat_message' rows='3' class='textbox' style='width:250px;'>".str_replace("<br>", "", $data['ls_chat_message'])."</textarea></td>
</tr>
<tr>
<td align='center' class='tbl'><input type='submit' name='saveentry' value='".$locale['ls522']."' class='button'></td>
</tr>
</form>
</table>\n";
		closetable();
		tablebreak();
	}
	opentable($locale['ls540']);
	$result = dbquery("SELECT * FROM ".$db_prefix."ls_chat");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	echo "<form name='deleteform' method='post' action='".FUSION_SELF."?action=deleteentries'>\n<div align='center'>\n";
	if ($rows != 0) {
		if ($rowstart == 0) {
			$opts = "<option value='90'>90</option>
<option value='60'>60</option>
<option value='30'>30</option>
<option value='20'>20</option>
<option value='10'>10</option>\n";
			echo $locale['ls530']." <select name='num_days' class='textbox' style='width:50px'>$opts</select>".$locale['ls531']."<br><br>
<input type='submit' name='deleteentries' value='".$locale['ls532']."' class='button'><br><hr>
</div>
</form>\n";
		}
		$i = 0;
		$result = dbquery(
			"SELECT * FROM ".$db_prefix."ls_chat LEFT JOIN ".$db_prefix."users
			ON ".$db_prefix."ls_chat.ls_chat_name=".$db_prefix."users.user_id
			ORDER BY ls_chat_datestamp DESC LIMIT $rowstart,20"
		);
		echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
			if ($data['user_name']) {
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['ls_chat_name']."' class='slink'>".$data['user_name']."</a>";
			} else {
				echo $data['ls_chat_name'];
			}
			echo "</span>
<span class='small'>".$locale['041'].showdate("longdate", $data['ls_chat_datestamp'])."</span><br>
".str_replace("<br>", "", parsesmileys($data['ls_chat_message']))."<br>
<span class='small'><a href='".FUSION_SELF."?action=edit&ls_chat_id=".$data['ls_chat_id']."'>".$locale['ls541']."</a> -
<a href='".FUSION_SELF."?action=delete&ls_chat_id=".$data['ls_chat_id']."'>".$locale['ls542']."</a> -
<b>".$locale['ls543'].$data['ls_chat_ip']."</b></span>
</td>\n</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<center><br>\n".$locale['ls544']."<br><br>\n</center>\n";
	}
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3)."\n</div>\n";
}
echo "</td>\n";
require_once BASEDIR."footer.php";

?>