<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once INFUSIONS."shoutbox_panel/parser.php";

if (file_exists(INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php";
	} else {
	include INFUSIONS."shoutbox_panel/locale/English.php";
}

echo "<link rel='stylesheet' href='".INFUSIONS."shoutbox_panel/tooltip_style.css' type='text/css'>";

opentable($locale['126']);

// santise the shout user variable
if (!isset($shout_user) && !isNum($shout_user)) $shout_user = 1;

// SQL Query
$result = dbquery("SELECT count(shout_id) FROM ".$db_prefix."shoutbox");
$rows = dbresult($result, 0);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if ($rows != 0) {
	$i = 0;
$result = dbquery(
"SELECT * FROM ".$db_prefix."shoutbox LEFT JOIN ".$db_prefix."users
ON ".$db_prefix."shoutbox.shout_name=".$db_prefix."users.user_id
WHERE shout_name='$shout_user' ORDER BY shout_datestamp DESC"
);
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	while ($data = dbarray($result)) {
	
	$lastseen = time() - $data['user_lastvisit'];

	if($lastseen < 60) {
	$lastseen = "<nobr><img src='".INFUSIONS."shoutbox_panel/images/user_online.gif' onMouseOver=\"toolTip('<span class=\'info\'>".$data['user_name']."</span> <span class=\'info1\'>".$locale['fb_017']."</span>');\"onMouseOut=\"toolTip();\"'></NOBR>";
} else {
	$lastseen = "<nobr><img src='".INFUSIONS."shoutbox_panel/images/user_offline.gif' onMouseOver=\"toolTip('<span class=\'info\'>".$data['user_name']."</span> <span class=\'info2\'>".$locale['fb_018']."</span>');\"onMouseOut=\"toolTip();\"'></NOBR>";
}
	
		echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
		$shoutcount = dbcount("(shout_id)", "shoutbox", "shout_name='".$data['user_id']."'");
    if ($data[user_level] == "103") {
        $user = "<b>".$data[user_name]."</b>";
        } else if ($data[user_level] == "102") {
        $user = "<b>".$data[user_name]."</b>";
        } else if ($data[user_level] == "101") {
        $user = "<b>".$data[user_name]."</b>";
        }
		if ($data['user_name']) {
			if ($data['user_avatar'] != "") { $avatar = "<img src=\'".IMAGES."avatars/".$data['user_avatar']."\'>"; } else { $avatar = "<img src=\'".INFUSIONS."shoutbox_panel/images/noav.gif\'>"; }
	    echo "<a onMouseOver=\"toolTip('<center>$avatar<br><br></center><b>".$locale['fb_019']."</b><br><span class=\'info2\'><b>".$data['user_name']."</span><br><br>".$locale['fb_020']."</b><br>".getuserlevel($data['user_level'])."<br><br><b>".$locale['fb_021']."</b><br>".showdate("shortdate", $data['user_joined'])."<br><br><b>".$locale['fb_022']."</b><br>".showdate("shortdate", $data['user_lastvisit'])." <br><br><b>".$locale['fb_023']."</b><br> $shoutcount ".$locale['fb_024']."');\" onMouseOut=\"toolTip();\" href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>$user</a>";
      echo "&nbsp;$lastseen";
		} else {
			echo $data['shout_name'];
		}
		echo "</span>
<span class='small'>".$locale['041'].showdate("longdate", $data['shout_datestamp'])."</span>";
if (iADMIN && checkrights("S")) {
echo "\n[<a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."'>".$locale['048']."</a>]";
}
if (iADMIN && checkrights("S")) {
echo "\n[<a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=delete&amp;shout_id=".$data['shout_id']."'>".$locale['049']."</a>]";
}
$wiadomosc = nl2br(parseubb(parsesmileys($data['shout_message'])));
$shout_wiadomosc = wordwrap($wiadomosc , 500, " ", 1);
echo "<br>".str_replace("<br>", "", parseshoutubb(parseubb(parsesmileys_shout($data['shout_message']))))."";
//echo "<br>".$shout_wiadomosc."</td>\n</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['127']."<br><br>\n</center>\n";
}
closetable();

//echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,"$PHP_SELF?")."\n</div>\n";

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
