<?php
/*---------------------------------------------------+
| TinyChat 1.21 Infusion fr PHP-Fusion 6.00 CMS     |
|----------------------------------------------------|
| author: Christian Wolf (Lupo)  2005-2007          |
| web: http://tinychat.LupoSoft.de                   |
| email: tinychat@LupoSoft.de                        |
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  |
+---------------------------------------------------*/

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ls_tinychat_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ls100'];
$inf_description = $locale['ls101'];
$inf_version = "1.21";
$inf_developer = "Christian Wolf (Lupo)";
$inf_email = "tinychat@luposoft.de";
$inf_weburl = "http://tinychat.luposoft.de";

$inf_folder = "ls_tinychat_panel"; // The folder in which the infusion resides.
$inf_admin_image = "luposoft.gif"; // Leave blank to use the default image.
$inf_admin_panel = "ls_tinychat_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['ls102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "ls_tinychat.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "ls_chat (
  ls_chat_id smallint(5) unsigned NOT NULL auto_increment,
  ls_chat_name varchar(50) NOT NULL default '',
  ls_chat_message varchar(200) NOT NULL default '',
  ls_chat_datestamp int(10) unsigned NOT NULL default '0',
  ls_chat_ip varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (ls_chat_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "ls_chat";

$inf_altertable_[0] = "";

$inf_deldbrow_[0] = "";

?>