<?php
/*---------------------------------------------------+
| TinyChat 1.21 Infusion fr PHP-Fusion 6.00 CMS     |
|----------------------------------------------------|
| author: Christian Wolf (Lupo)  2005-2007          |
| web: http://tinychat.LupoSoft.de                   |
| email: tinychat@LupoSoft.de                        |
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  |
+---------------------------------------------------*/

/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once INFUSIONS."ls_tinychat_panel/ls_tinychat_settings.php";
if (file_exists(INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ls_tinychat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ls_tinychat_panel/locale/English.php";
}

opentable($locale['ls100']);

if (iMEMBER || ($guestsallowed >= "1")) {
echo "
<iframe src='".INFUSIONS."ls_tinychat_panel/ls_tinychat_chat_frame.php?anzahl=".$chatframeentries."&bodyclass=".$chatframebodyclass."' name='ls_tinychat_chat_frame' frameborder='0' width='100%' height='".$chatframeheigth."px'>
<p>".$locale['ls408']."</p>
</iframe>

<iframe src='".INFUSIONS."ls_tinychat_panel/ls_tinychat_chat_loader.php?refresh=".$chatframerefresh."&targetframe=ls_tinychat_chat_frame' name='chat_loader' frameborder='0' width='0px' height='0px'>
<p>".$locale['ls408']."</p>
</iframe>
<hr>
";

}
if (isset($_POST['post_archive'])) {
	header("Location: ".INFUSIONS."ls_tinychat_panel/ls_tinychat_archive.php");
} elseif (isset($_POST['post_help'])) {
	header("Location: ".INFUSIONS."ls_tinychat_panel/ls_tinychat_help.php");
} elseif (isset($_POST['chat_message'])) {
	if (iMEMBER) {
		$chat_name = $userdata['user_id'];
	} elseif ($guestsallowed == "2") {
		$chat_name = trim(stripinput($_POST['chat_name']));
		$chat_name = preg_replace("(^[0-9]*)", "", $chat_name);
		if (isNum($chat_name)) $chat_name="";
	}
	$chat_message = str_replace("\n", " ", $_POST['chat_message']);
	$chat_message = preg_replace("/^(.{255}).*$/", "$1", $chat_message);
	$chat_message = preg_replace("/([^\s]{25})/", "$1\n", $chat_message);
	$chat_message = trim(stripinput(censorwords($chat_message)));
	$chat_message = str_replace("\n", "<br>", $chat_message);
	if ($chat_name != "" && $chat_message != "") {
		if (dbcount("(*)", "ls_chat", "ls_chat_message='$chat_message' AND ls_chat_datestamp+84600>".time())) {
			header("Location: ".FUSION_SELF."?chat_name=".$chat_name."");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."ls_chat VALUES('', '$chat_name', '$chat_message', '".time()."', '".USER_IP."')");
		}
	}
	header("Location: ".FUSION_SELF."?chat_name=".$chat_name."");
}
if (iMEMBER || ($guestsallowed == "2")) {
echo "<form name='inputform' method='post' action='".FUSION_SELF."?chat_name=".$chat_name."'>

<table width='100%' border ='0' cellpadding='5' cellspacing='0'>
<colgroup><col><col><col><col><col></colgroup>
<tr>
<td colspan='5'>\n";
	if (iGUEST) {
		echo $locale['ls412']."<br><input type='text' name='chat_name' value='".$chat_name."' class='textbox' maxlength='32' style='width:140px;'><br>".$locale['ls413']."<br>\n";
	}
	echo "<input name='chat_message' class='textbox' style='width:100%;'>
</td>
<tr>
	<td colspan='5'>".displaysmileys('chat_message')."</td>
</tr>
<tr>
<td width='20%'><input type='submit' name='post_chatentry' value='".$locale['ls410']."' class='button' align='center'></td>
<td width='20%' align='center'><input type='submit' name='post_archive' value='".$locale['ls409']."' class='button' align='center'></td>
<td width='20%' align='right'><input type='submit' name='post_help' value='     ".$locale['ls411']."    ' class='button' align='center'></td>
<td align='right'>".$locale['ls100']." ".$tinychatversion." ".$locale['ls417']." </td><td><a target='_blank' href='http://www.luposoft.de'><img src = '".INFUSIONS."ls_tinychat_panel/luposoft2.gif' border='0'></a></td>
</tr>
</table>
</form>
<script type=\"text/javascript\">
	document.inputform.chat_message.focus();
</script>	
";
} else {
	echo "
	<center>".$locale['ls414']." ".$locale['ls100']." ".$tinychatversion." ".$locale['ls417']." <a target='_blank' href='http://www.luposoft.de'><img src = '".INFUSIONS."ls_tinychat_panel/luposoft2.gif' border='0'></a></center>
	";
}
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>
